package com.flossom.system.service.impl;

import java.util.List;

import com.flossom.common.core.domain.entity.WxModeServiceInfo;
import com.flossom.common.core.mapper.WxModeServiceInfoMapper;
import com.flossom.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.flossom.system.service.IWxModeServiceInfoService;

/**
 * 模式服务Service业务层处理
 *
 * @author flossom
 * @date 2024-02-01
 */
@Service
public class WxModeServiceInfoServiceImpl implements IWxModeServiceInfoService
{
    @Autowired
    private WxModeServiceInfoMapper wxModeServiceInfoMapper;

    /**
     * 查询模式服务
     *
     * @param id 模式服务主键
     * @return 模式服务
     */
    @Override
    public WxModeServiceInfo selectWxModeServiceInfoById(Long id)
    {
        return wxModeServiceInfoMapper.selectWxModeServiceInfoById(id);
    }

    /**
     * 查询模式服务列表
     *
     * @param wxModeServiceInfo 模式服务
     * @return 模式服务
     */
    @Override
    public List<WxModeServiceInfo> selectWxModeServiceInfoList(WxModeServiceInfo wxModeServiceInfo)
    {
        return wxModeServiceInfoMapper.selectWxModeServiceInfoList(wxModeServiceInfo);
    }

    /**
     * 新增模式服务
     *
     * @param wxModeServiceInfo 模式服务
     * @return 结果
     */
    @Override
    public int insertWxModeServiceInfo(WxModeServiceInfo wxModeServiceInfo)
    {
        wxModeServiceInfo.setCreateTime(DateUtils.getNowDate());
        return wxModeServiceInfoMapper.insertWxModeServiceInfo(wxModeServiceInfo);
    }

    /**
     * 修改模式服务
     *
     * @param wxModeServiceInfo 模式服务
     * @return 结果
     */
    @Override
    public int updateWxModeServiceInfo(WxModeServiceInfo wxModeServiceInfo)
    {
        return wxModeServiceInfoMapper.updateWxModeServiceInfo(wxModeServiceInfo);
    }

    /**
     * 批量删除模式服务
     *
     * @param ids 需要删除的模式服务主键
     * @return 结果
     */
    @Override
    public int deleteWxModeServiceInfoByIds(Long[] ids)
    {
        return wxModeServiceInfoMapper.deleteWxModeServiceInfoByIds(ids);
    }

    /**
     * 删除模式服务信息
     *
     * @param id 模式服务主键
     * @return 结果
     */
    @Override
    public int deleteWxModeServiceInfoById(Long id)
    {
        return wxModeServiceInfoMapper.deleteWxModeServiceInfoById(id);
    }
}
